import numpy as np
import matplotlib.pyplot as plt

a=0.004
b=50.0
c=0.75
d=0.001
e=100.0
f=3.0
###
x1 = np.linspace(-20.0,80.0,40)
y1 = np.linspace(-10.0,133.0,40)
x1, y1=np.meshgrid(x1, y1)
vx=a*x1*(b-x1-c*y1)
vy=d*y1*(e-y1-f*x1)
###

fig1 = plt.figure(1)   
'''
Plot fixpoints of the system: (0,0) ,(20,40), (0,100), (50,0) 
'''
plt.plot(50,0,'ro',markersize=10,markeredgecolor='r',markeredgewidth=2)
plt.plot(0,100,'ro',markersize=10,markeredgecolor='r',markeredgewidth=2)
plt.plot(20,40,'ro', markersize=10, markeredgecolor='r',markeredgewidth=2)
plt.plot(0,0,'ro', markersize=10, markeredgecolor='r',markeredgewidth=2)
#plt.plot(20,40, marker='o', markersize=10, markeredgecolor='r',mfc='None',markeredgewidth=2)
#plt.plot(0,0,marker='o',markersize=10, markeredgecolor='r',mfc='None',markeredgewidth=2)
plt.xlabel("x",fontsize=16)
plt.ylabel("y",fontsize=16)
plt.xticks(fontsize=16)
plt.yticks(fontsize=16)
plt.xlim([-20,60])
plt.ylim([-10,133])
#plt.streamplot(x1,y1,vx,vy,color='b',linewidth=2)

#plt.quiver(x1, y1, vx, vy, pivot='middle', headwidth=3, headlength=6)

plt.show()            

